Debian Bug report logs - #669463
haskell-lifted-base: FTBFS: unsatisfiable build-dependency: libghc-test-framework-dev (< 0.6) but 0.6-1 is to be installed

version graph

Package: src:haskell-lifted-base; Maintainer for src:haskell-lifted-base is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 19 Apr 2012 19:45:12 UTC

Severity: serious

Tags: sid, wheezy

Found in version haskell-lifted-base/0.1.0.3-1

Fixed in version haskell-lifted-base/0.1.0.4-1

Done: Clint Adams <clint@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#669463; Package src:haskell-lifted-base. (Thu, 19 Apr 2012 19:45:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Thu, 19 Apr 2012 19:45:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: haskell-lifted-base: FTBFS: unsatisfiable build-dependency: libghc-test-framework-dev (< 0.6) but 0.6-1 is to be installed
Date: Thu, 19 Apr 2012 21:35:43 +0200
Source: haskell-lifted-base
Version: 0.1.0.3-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120419 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> ┌──────────────────────────────────────────────────────────────────────────────┐
> │ Install haskell-lifted-base build dependencies (apt-based resolver)          │
> └──────────────────────────────────────────────────────────────────────────────┘
> 
> Installing build dependencies
> Reading package lists...
> Building dependency tree...
> Reading state information...
> Some packages could not be installed. This may mean that you have
> requested an impossible situation or if you are using the unstable
> distribution that some required packages have not yet been created
> or been moved out of Incoming.
> The following information may help to resolve the situation:
> 
> The following packages have unmet dependencies:
>  sbuild-build-depends-haskell-lifted-base-dummy : Depends: libghc-test-framework-dev (< 0.6) but 0.6-1 is to be installed
> E: Unable to correct problems, you have held broken packages.
> apt-get failed.

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/04/19/haskell-lifted-base_0.1.0.3-1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Reply sent to Clint Adams <clint@debian.org>:
You have taken responsibility. (Sat, 21 Apr 2012 23:51:05 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 21 Apr 2012 23:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 669463-close@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: 669463-close@bugs.debian.org
Subject: Bug#669463: fixed in haskell-lifted-base 0.1.0.4-1
Date: Sat, 21 Apr 2012 23:47:20 +0000
Source: haskell-lifted-base
Source-Version: 0.1.0.4-1

We believe that the bug you reported is fixed in the latest version of
haskell-lifted-base, which is due to be installed in the Debian FTP archive:

haskell-lifted-base_0.1.0.4-1.debian.tar.gz
  to main/h/haskell-lifted-base/haskell-lifted-base_0.1.0.4-1.debian.tar.gz
haskell-lifted-base_0.1.0.4-1.dsc
  to main/h/haskell-lifted-base/haskell-lifted-base_0.1.0.4-1.dsc
haskell-lifted-base_0.1.0.4.orig.tar.gz
  to main/h/haskell-lifted-base/haskell-lifted-base_0.1.0.4.orig.tar.gz
libghc-lifted-base-dev_0.1.0.4-1_amd64.deb
  to main/h/haskell-lifted-base/libghc-lifted-base-dev_0.1.0.4-1_amd64.deb
libghc-lifted-base-doc_0.1.0.4-1_all.deb
  to main/h/haskell-lifted-base/libghc-lifted-base-doc_0.1.0.4-1_all.deb
libghc-lifted-base-prof_0.1.0.4-1_amd64.deb
  to main/h/haskell-lifted-base/libghc-lifted-base-prof_0.1.0.4-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 669463@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Clint Adams <clint@debian.org> (supplier of updated haskell-lifted-base package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 21 Apr 2012 19:35:36 -0400
Source: haskell-lifted-base
Binary: libghc-lifted-base-dev libghc-lifted-base-prof libghc-lifted-base-doc
Architecture: source all amd64
Version: 0.1.0.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Clint Adams <clint@debian.org>
Description: 
 libghc-lifted-base-dev - Lifted IO operations from the base library
 libghc-lifted-base-doc - Lifted IO operations from the base library; documentation
 libghc-lifted-base-prof - Lifted IO operations from the base library; profiling libraries
Closes: 669463
Changes: 
 haskell-lifted-base (0.1.0.4-1) unstable; urgency=low
 .
   * New upstream version.
   * Bump to Standards-Version 3.9.3.
   * Tweak to build with newer test-framework.  closes: #669463.
Checksums-Sha1: 
 3a03974cb1ecaa949400e9c2d156b775daa75ca7 2938 haskell-lifted-base_0.1.0.4-1.dsc
 a9578aae282c83d7d290b40e79c34ab28cbcffb3 8536 haskell-lifted-base_0.1.0.4.orig.tar.gz
 1e06f57160466c3b9179b27c2fd5719ffd69b0ff 2697 haskell-lifted-base_0.1.0.4-1.debian.tar.gz
 b7d158df0b567c194506288c684f51b24ebdfd4f 51750 libghc-lifted-base-doc_0.1.0.4-1_all.deb
 13e65522ac9584990549c089d5a5ba2edcf5353e 52586 libghc-lifted-base-dev_0.1.0.4-1_amd64.deb
 30989b3431ab8ef66d76f4b2062766188dd5959f 64108 libghc-lifted-base-prof_0.1.0.4-1_amd64.deb
Checksums-Sha256: 
 ccf0f3be6909c04d1cbe1ff9c89480d97568eae39f5b19bda5fa9c5028276d16 2938 haskell-lifted-base_0.1.0.4-1.dsc
 09ed468fd47a4c0c56350d019ebad9851173be518bbd27283a32531bab0da475 8536 haskell-lifted-base_0.1.0.4.orig.tar.gz
 96d4113ba3442bb428b212148fa0ce6f32245148e36da2fa83700101fc252dc7 2697 haskell-lifted-base_0.1.0.4-1.debian.tar.gz
 7611538acd68f40415889546c6551af567f30acd9e476b4d2fdf4194df5eb368 51750 libghc-lifted-base-doc_0.1.0.4-1_all.deb
 7f4d097cc1ede90d4f9ccd2792d9ab08ea1551e14cbb7dbcd8ddbf9960c06e11 52586 libghc-lifted-base-dev_0.1.0.4-1_amd64.deb
 11d45cf517135b5449b7bc9e841303977867d01b31706fc3121de41fe5e88a51 64108 libghc-lifted-base-prof_0.1.0.4-1_amd64.deb
Files: 
 7a368472555e318e5ecfffbdc5dad20d 2938 haskell extra haskell-lifted-base_0.1.0.4-1.dsc
 d5d701d346e27570987ce30da665c61d 8536 haskell extra haskell-lifted-base_0.1.0.4.orig.tar.gz
 6172a202cb5cb58637b8578578ce7643 2697 haskell extra haskell-lifted-base_0.1.0.4-1.debian.tar.gz
 f74cfb59899005065b3396ec1db0e037 51750 doc extra libghc-lifted-base-doc_0.1.0.4-1_all.deb
 1527adf16e02348ddb6539d894a2706f 52586 haskell extra libghc-lifted-base-dev_0.1.0.4-1_amd64.deb
 2d8a00918661c22a1baa0a8b31c532dc 64108 haskell extra libghc-lifted-base-prof_0.1.0.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Debian!

iQIcBAEBCgAGBQJPk0UwAAoJEFWSMx4ZnTioIhQQAKU5QRQc0/6bvLYkA677BRpW
DibgE8F8Kdm2bSi8mUQfaukiWOcKdmcy/SMwknN9yWVYHzCnM4g196nvWLOiUXgF
3fkfiPo5XL/HPlPZM1mU4JFLgLsKPG+CA6IcA/LQKEesN8bw7dEB3qt01HOM8uYH
4FsKTh7jlpK9mdJugyHyzCUSw8xtfhCD2rAOxTtJrdpMlgrnXK2e991ob+4rCdcQ
gK+1+36IYf1J7tBOoZX5jRM5OMuwOnv5o9oM2UvjaWW0TtIHwnAgQ20NPQAj97Ky
pY9U1/XP4/D8PFdY5qN/0jkoC0pPbqZWNGXLqTO5WAwIsStbUQcT+dgxtsIcDYo1
rIKE4Db3EedDszKybYo9JaLwpsENInKEyd7X1XhiOrcpBkXQvFZ5ysY55AFWmGA1
W+KfFozImmdJ4TmWe99aq9DRus/S6FAF9qDp1cw7WJpmGzbNy7kRYxCJS4IByXK9
nbbG06odJ8xWGPQrDqCo4eWMcljf982KuuyEKvlddcm80RUn+gGKKYntKFrmBtnE
BqNxwSspr1f4x50XHaOAdH4nc5NfAg05eMZqL6lm2lqFGGTZNtiykj9hFugSOQq4
/KKKfRYu9+zHIIo0uMCxreEtLVFkA8auaRMbUei9QYn0MHs5YdC5pF08WwxjBBX9
liKJhOFWYrS0j2OnW9IY
=7Fjb
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 Jun 2012 07:44:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:25:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.